import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'flutter_geolocation_service_method_channel.dart';

abstract class FlutterGeolocationServicePlatform extends PlatformInterface {
  /// Constructs a FlutterGeolocationServicePlatform.
  FlutterGeolocationServicePlatform() : super(token: _token);

  static final Object _token = Object();

  static FlutterGeolocationServicePlatform _instance = MethodChannelFlutterGeolocationService();

  /// The default instance of [FlutterGeolocationServicePlatform] to use.
  ///
  /// Defaults to [MethodChannelFlutterGeolocationService].
  static FlutterGeolocationServicePlatform get instance => _instance;
  
  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [FlutterGeolocationServicePlatform] when
  /// they register themselves.
  static set instance(FlutterGeolocationServicePlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
