import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_geolocation_service/flutter_geolocation_service_method_channel.dart';

void main() {
  MethodChannelFlutterGeolocationService platform = MethodChannelFlutterGeolocationService();
  const MethodChannel channel = MethodChannel('flutter_geolocation_service');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
